Hashrate IndexAPI DocumentationAsic
Get ASIC Efficiency Breakeven Point
/asic/efficiency-breakeven-point has rate limitation:
Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.
ASIC Efficiency Breakeven Point
This endpoint calculates the breakeven point for ASIC miners based on their efficiency and current electricity prices. It helps miners understand at what price level mining becomes profitable.
Authorization
ApiKeyAuth X-Hi-Api-Key<token>
In: header
Query Parameters
span*string
Time span
Value in
- "1M"
- "1Y"
- "ALL"
electricityPrice*number
Electricity price in USD/kWh
Format
doubleRange
0.01 <= valueResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/asic/efficiency-breakeven-point?span=1M&electricityPrice=0.02"{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/EfficiencyBreakevenPointData.json", "data": [ { "breakEvenThreshold": 0.1, "timestamp": "2019-08-24" } ]}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}